Recordad que para pedir soporte alguno, debéis facilitar los datos de soporte oportunos por favor, mirad aquí y leer las Normas generales del foro, esto nos servirá de ayuda para dar el mejor soporte..

Gracias.

La Administración de phpBB España.

No funciona la instalación de 3.2.1

Foros de soporte phpBB 3.2


santa_oscuro
Observador/a
Mensajes: 13
Registrado: 16 Jul 2017, 21:05
Género:

No funciona la instalación de 3.2.1

#1

Mensaje por santa_oscuro »

La cosa es que estoy utilizando una versión 3.1.7-pl1 de phpbb debido a que anteriormente intente instalar la ultima versión (3.2.1) y no me funcionó. Con esta versión me las he arreglado pero me sigue molestando no poder usar la versión 3.2...

Por un problema que tuve con la versión que estoy utilizando (que al final era debido al cache del servidor), pregunté por el foro y me ayudaron así que voy a probar a ver si me ayudan y alguien me puede decir porque no me funciona la instalación de la última versión.

He probado instalarla tanto en el servidor gratuito de Hostinger como en el servidor local y el resultado es el mismo. Cuando voy al foro/install y apreto la ventana de Instalar, la dirección a la que me lleva es la de instalación pero es como si no tuviera estilo, es decir es como si perdiera el "css" y al apretar al botón de instalar se carga la misma pagina...

El resultado es este:
Spoiler
Imagen
La consola lanza 1 warning ( en que el stylesheet se ha transferido a tipo text/html inexplicablemente :@ ) y 4 errores (los 4 son el mismo error y que dice que en la linia 1 sobra un "<") :
Spoiler
Imagen


Datos en la firma...


Datos:
Spoiler
Servidor: localhost y Gratuito (Hostinger)
Estilo(s) usuado(s): prosilver, we_universal.
Extensiones instaladas: Delete my registration, Auto Groups, phpBB 3.1 Birthday Control, Delete my registration, Advanced BBCode Box
Versión phpBB: 3.1.7-pl

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1085
Registrado: 14 Ene 2017, 22:18
Género:

Re: No funciona la instalación de 3.2.1

#2

Mensaje por AbaddonOrmuz »

Mmm... el instalador usa llamadas AJAX así que el error parece ser con JQuery y considerando que en el error indica que los ficheros CSS fueron enviados como HTML, es probable que lo mismo haya pasado con los ficheros JS y por eso el error, que evidentemente es un error de sintaxis.

Estas seguro que los archivos CSS/JS existen y tienen permisos (chmod) de lectura? si un archivo no puede ser leido o no existe mostrará una página de error en HTML y los tags <syle> y <script> tratarán de cargarlas como sifueran CSS y JS respectivamente.

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:


santa_oscuro
Observador/a
Mensajes: 13
Registrado: 16 Jul 2017, 21:05
Género:

Re: No funciona la instalación de 3.2.1

#3

Mensaje por santa_oscuro »

Sisi que están... aunque lo he comprobado, pero si yo no los he borrado tenían que estar XD simplemente he descomprimido el archivo de la web original. Los permisos también están correctos. He buscado la versión 3.2.0 a ver si esta si me funciona pero tampoco :sweat:

Descomprimo, copio los archivos y doy los permisos:
config.php --> 666
store/, cache/, files/ and images/avatars/upload/ ---> 777

no hay mas que hacer... no entiendo porque no funciona
Datos:
Spoiler
Servidor: localhost y Gratuito (Hostinger)
Estilo(s) usuado(s): prosilver, we_universal.
Extensiones instaladas: Delete my registration, Auto Groups, phpBB 3.1 Birthday Control, Delete my registration, Advanced BBCode Box
Versión phpBB: 3.1.7-pl

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1085
Registrado: 14 Ene 2017, 22:18
Género:

Re: No funciona la instalación de 3.2.1

#4

Mensaje por AbaddonOrmuz »

Si expandes los mensajes de error en la consola, te mostrará más información.

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:


santa_oscuro
Observador/a
Mensajes: 13
Registrado: 16 Jul 2017, 21:05
Género:

Re: No funciona la instalación de 3.2.1

#5

Mensaje por santa_oscuro »

Si te refieres a las flechas, no muestra nada más.
Datos:
Spoiler
Servidor: localhost y Gratuito (Hostinger)
Estilo(s) usuado(s): prosilver, we_universal.
Extensiones instaladas: Delete my registration, Auto Groups, phpBB 3.1 Birthday Control, Delete my registration, Advanced BBCode Box
Versión phpBB: 3.1.7-pl

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1085
Registrado: 14 Ene 2017, 22:18
Género:

Re: No funciona la instalación de 3.2.1

#6

Mensaje por AbaddonOrmuz »

No, hasta la derecha del todo, si das click en el nombre del archivo (app.php) te debe mostrar la línea en donde comienza el mensaje de error (backtrace).

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:


santa_oscuro
Observador/a
Mensajes: 13
Registrado: 16 Jul 2017, 21:05
Género:

Re: No funciona la instalación de 3.2.1

#7

Mensaje por santa_oscuro »

Del mensaje en si no dice nada más pero si que hay unas lineas comentadas que justo están en la parte baja del código y que justo me salta a esa parte como diciendo que es eso supongo:
Spoiler
<!--
installLang = {
title: 'The\x20installer\x20detected\x20a\x20timeout',
msg: 'The\x20installer\x20has\x20detected\x20a\x20timeout,\x20you\x20may\x20try\x20to\x20refresh\x20the\x20page,\x20which\x20may\x20lead\x20to\x20data\x20corruption.\x20We\x20suggest\x20that\x20you\x20either\x20increase\x20your\x20timeout\x20settings\x20or\x20try\x20to\x20use\x20the\x20CLI.'
};

'El instalador ha detectado un tiempo de espera, puede intentar actualizar la página, lo que puede provocar daños en los datos. Sugerimos que aumente su configuración de tiempo de espera o intente utilizar la CLI.'

Bueno sino no pasa nada gracias por intentarlo :wink: , pero veo que no encontraremos respuesta XD aunque ya estoy avanzando bastante con la version 3.1.x así que no hay problema :hai: Eso si, seguiré incordiando por aquí un poco más heheh
Datos:
Spoiler
Servidor: localhost y Gratuito (Hostinger)
Estilo(s) usuado(s): prosilver, we_universal.
Extensiones instaladas: Delete my registration, Auto Groups, phpBB 3.1 Birthday Control, Delete my registration, Advanced BBCode Box
Versión phpBB: 3.1.7-pl

Avatar de Usuario
canidev
Moderador
Mensajes: 591
Registrado: 30 Jun 2011, 17:06
Género:
Edad: 34

Re: No funciona la instalación de 3.2.1

#8

Mensaje por canidev »

La consola a veces (dependiendo del error) o muestra toda la información necesaria.
Para ver lo que falla, trata de abrir directamente con el explorador los archivos css y javascript (se pueden ver en el código fuente de la página)
Por ejemplo, si la url de tu foro es http://miforo.com/foro/ tendrías que abrir estas rutas:

Código: Seleccionar todo

http://miforo.com/foro/adm/style/admin.css
http://miforo.com/foro/assets/javascript/jquery.min.js
http://miforo.com/foro/assets/javascript/core.js
http://miforo.com/foro/adm/style/admin.js
Por el error que te dá, seguramente al abrirlos, en lugar de mostrar el archivo css o js, mostrará una página html. Sería de ayuda ver ese código html (código fuente), porque, seguramente, o es un código de error 404 o es que el servidor está haciendo una redirección indebida.

  • Temas similares
    Respuestas
    Vistas
    Último mensaje

Volver a “🔎 Foros de Soporte 3.2”